사용 중인 용어집
이 문제가 발생하면 API는 409 Conflict 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/glossary-in-use입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.
엔진 2개에서 용어집 <id>를 적용하고 있어 삭제할 수 없습니다. 먼저 해당 엔진에서 용어집 연결을 해제하세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
id | string |
engineCount | integer |
예시#
json
{
"detail": "Glossary <id> cannot be deleted while 2 engines apply it. Detach it from those engines first.",
"id": "<id>",
"engineCount": 2,
"type": "https://lingo.dev/docs/api/errors/glossary-in-use",
"status": 409,
"title": "Glossary in use"
}이 오류를 반환하는 엔드포인트#
DELETE /v2/glossaries/{id}